<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>17. Instalación virtual de GNU/Linux</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="instalacion-virtual-de-gnulinux">17. Instalación virtual de <span class="smallcap">GNU</span>/Linux</h1>
        <ul>
            <li>
                <p>Horas: 2</p>
            </li>
            <li>
                <p>Tipo: práctico</p>
            </li>
            <li>
                <p>Relaciones: 11e</p>
            </li>
        </ul>
        <h2 id="descripcion_17">Descripción</h2>
        <p>El uso de <span class="smallcap">GNU</span>/Linux hoy en día es muy sencillo. Sin embargo, por diversos motivos no es fácil la decisión de instalar un nuevo sistema operativo. Debido a fines pedagógicos a veces la mejor opción es el uso de un mismo entorno. En este módulo se instalará una distribución virtual de <span class="smallcap">GNU</span>/Linux sobre el sistema operativo de base; tan simple como instalar otro programa en computadoras con Windows o macOS. La ventaja es el acceso a las herramientas utilizadas en esta currícula para que el usuario se enfoque en los objetivos de aprendizaje y en el descubrimiento de las ventajas que ofrece <span class="smallcap">GNU</span>/Linux.</p>
        <h2 id="objetivos_17">Objetivos</h2>
        <ul>
            <li>
                <p>Instalar VirtualBox en cualquier sistema operativo, incluyendo Windows o macOS.</p>
            </li>
            <li>
                <p>Instalar mediante VirtualBox un clon de Debian —una distribución de <span class="smallcap">GNU</span>/Linux— que incluye las configuraciones y las herramientas necesarias para esta currícula.</p>
            </li>
            <li>
                <p>Instalar las <i>guest additions</i> para aumentar la usabilidad, como es la posibilidad de carpetas compartidas.</p>
            </li>
            <li>
                <p>Entender de manera somera la dinámica <i>guest/host</i>: cómo se relaciona el sistema operativo virtual con el sistema operativo de base.</p>
            </li>
        </ul>
        <h2 id="temas_17">Temas</h2>
        <ol>
            <li>
                <p>¿Qué es una máquina virtual y qué es VirtualBox?</p>
            </li>
            <li>
                <p>¿Qué es una distribución de <span class="smallcap">GNU</span>/Linux y Debian?</p>
            </li>
            <li>
                <p>¿Qué son las máquinas <i>guest</i> y <i>host</i>?</p>
            </li>
            <li>
                <p>Descarga e instalación de VirtualBox.</p>
            </li>
            <li>
                <p>Descarga e instalación de un clon de Debian.</p>
            </li>
            <li>
                <p>Descarga e instalación de <i>guest additions</i>.</p>
            </li>
            <li>
                <p>Configuración de carpetas compartidas.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_17">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Conocimiento de descarga e instalación de programas en el sistema operativo en uso.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_17">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Una computadora con al menos 6 <span class="smallcap">GB</span> de espacio.</p>
            </li>
            <li>
                <p>Una conexión a internet.</p>
            </li>
        </ul>
    </body>
</html>
